Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.swt.core
Class EMFFormsRendererFactory_ITest

    java.lang.Object
      org.eclipse.emfforms.internal.swt.core.EMFFormsRendererFactory_ITest

    public class EMFFormsRendererFactory_ITest

extends Object

Integration test for the `EMFFormsRendererFactory`.

Author:
  Eugen Neufeld

Constructor Summary
`EMFFormsRendererFactory_ITest()`

Method Summary
`static void` | `beforeClass()` Setup the `BundleContext`.
`void` | `cleanUp()` Ungets the service.
`void` | `setUp()` Retrieves the `EMFFormsRendererFactory` as a service.
`void` | `testAddAdditionalRendererService()` Test method for `EMFFormsRendererFactory.getAdditionalRendererInstances(VElement, ViewModelContext)`.
`void` | `testAddRendererService()` Test method for `EMFFormsRendererFactory.getRendererInstance(VElement, ViewModelContext)`.
`void` | `testRemoveAdditionalRendererService()` Test method for `EMFFormsRendererFactory.getAdditionalRendererInstances(VElement, ViewModelContext)`.
`void` | `testRemoveRendererService()` Test method for `EMFFormsRendererFactory.getRendererInstance(VElement, ViewModelContext)`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsRendererFactory_ITest

    public EMFFormsRendererFactory_ITest()

Method Detail

### beforeClass

    public static void beforeClass()

  Setup the `BundleContext`.

### setUp

    public void setUp()

  Retrieves the `EMFFormsRendererFactory` as a service.

### cleanUp

    public void cleanUp()

  Ungets the service.

### testAddRendererService

    public void testAddRendererService()
                                throws EMFFormsNoRendererException

  Test method for `EMFFormsRendererFactory.getRendererInstance(VElement, ViewModelContext)`. Testing that a registered `EMFFormsRendererService` is picked up.

  Throws:
    `EMFFormsNoRendererException`

### testRemoveRendererService

    public void testRemoveRendererService()
                                   throws EMFFormsNoRendererException

  Test method for `EMFFormsRendererFactory.getRendererInstance(VElement, ViewModelContext)`. Testing that an IllegalStateException is thrown when no `EMFFormsRendererService` is registered.

  Throws:
    `EMFFormsNoRendererException`

### testAddAdditionalRendererService

    public void testAddAdditionalRendererService()

  Test method for `EMFFormsRendererFactory.getAdditionalRendererInstances(VElement, ViewModelContext)`. Testing that a registered `EMFFormsAdditionalRendererService` is picked up.

### testRemoveAdditionalRendererService

    public void testRemoveAdditionalRendererService()

  Test method for `EMFFormsRendererFactory.getAdditionalRendererInstances(VElement, ViewModelContext)`. Testing that an IllegalStateException is thrown when no `EMFFormsAdditionalRendererService` is registered.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.